Upgrading vlc breaks it - Qt mismatch

blackhaz

Active Member

Reaction score: 65
Messages: 170

Beware, the shared libraries pit of death again. Just upgraded vlc - it won't start. Didn't bark on qt version mismatch. Turns out it now requires qt 5.14. Upgrading qt does little:

Installed packages to be UPGRADED:
qt5: 5.13.2_3 -> 5.14.2

Number of packages to be upgraded: 1

1 KiB to be downloaded.

Proceed with this action? [y/N]: y
[1/1] Fetching qt5-5.14.2.txz: 100% 1 KiB 1.4kB/s 00:01
Checking integrity... done (0 conflicting)
[1/1] Upgrading qt5 from 5.13.2_3 to 5.14.2...

At this point I'm back to shell. vlc still won't start. At this point I guess it's pkg upgrade of all packages. This bazaar of shared libraries is on fire again.
 

mjollnir

Aspiring Daemon

Reaction score: 269
Messages: 658

devel/qt5 is a meta port. It's dependencies are through the macro USE_QT. It is used to build vlc(1). When I install multimedia/vlc from packages, it runs perfectly & does not pull in devel/qt5. Did you use ports-mgmt/portmaster to install from ports (with -PP)? Some still do it, but I'd say the modern and clean way is to use poudriere or synth instead.
 

gh_origin

Member

Reaction score: 22
Messages: 97

I just installed QtCreator yesterday. Everything worked fine. So I'm sure with you that Qt doesn't break.

Try doing a full upgrade with:

doas pkg update -f
doas pkg upgrade
 
OP
B

blackhaz

Active Member

Reaction score: 65
Messages: 170

mjollnir, I've tried to install vlc using pkg. It tried to start using old Qt and didn't work. Already did the full upgrade, so back to work now, but this is, of course, not as it should work. I wish I knew where the problem was.
 

Argentum

Member

Reaction score: 6
Messages: 45

Did you use ports-mgmt/portmaster to install from ports (with -PP)? Some still do it, but I'd say the modern and clean way is to use poudriere or synth instead.
Just tried to upgrade vlc with portupgrade -R vlc and everything works fine. Agree that synth update is also a very good option to do that. I have successfully used synth in cases where portupgrade fails.
 
Top